#include <config.h>
#include "tlsutil.h"

#ifdef TLS

# define session_close	 tls_close
# define session_fclose	 tls_fclose
# define session_shutdown tls_shutdown
# define session_read	 tls_read
# define session_write	 tls_write
# define session_send	 tls_send
# define session_fgetc	 tls_fgetc
# define session_fputs	 tls_fputs
# define session_putc	 tls_fputc
# define session_fflush	 tls_fflush
# define session_vfprintf tls_vfprintf
# define session_fprintf tls_fprintf

#else
/* Plain sockets.
 */
# define session_close	 close
# define session_fclose	 fclose
# define session_shutdown shutdown
# define session_read	 read
# define session_write	 write
# define session_send	 send
# define session_fgetc	 fgetc
# define session_fputs	 fputs
# define session_fflush	 fflush
# define session_putc	 putc
# define CLOSE 		 close
# define FCLOSE 	 fclose
# define session_vfprintf vfprintf
# define session_fprintf fprintf

#endif /* TLS */

